python-qwt5-qt4_5.2.1~cvs20091107+dfsg-7build1_amd64.deb


Advertisement

Description

python-qwt5-qt4 - Python version of the Qwt5 technical widget library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-qwt5-qt4
Package version 5.2.1~cvs20091107+dfsg
Package release 7build1
Package architecture amd64
Package type deb
Installed size 2.20 KB
Download size 321.82 KB
Official Mirror archive.ubuntu.com
PyQwt is a set of Python bindings for the Qwt C++ class library which extends
the Qt framework with widgets for scientific and engineering applications.
It provides a widget to plot 2-dimensional data and various widgets to
display and control bounded or unbounded floating point values.
This version is compiled against Qt, version 4.

Alternatives

Package Version Architecture Repository
python-qwt5-qt4_5.2.1~cvs20091107+dfsg-7build1_i386.deb 5.2.1~cvs20091107+dfsg i386 Ubuntu Universe
python-qwt5-qt4 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libqtcore4 >= 4:4.8.0
libqtgui4 >= 4:4.5.3
libqwt5-qt4 >= 5.2.3
libstdc++6 >= 4.1.1
python << 2.8
python >= 2.7
python-numpy >= 1:1.8.0
python-numpy-abi9 -
python-qt4 >= 4.10.4+dfsg
python:any >= 2.7.1-0ubuntu2
sip-api-11.0 -

Download

Type URL
Binary Package python-qwt5-qt4_5.2.1~cvs20091107+dfsg-7build1_amd64.deb
Source Package pyqwt5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-qwt5-qt4 deb package:
    # sudo apt-get install python-qwt5-qt4

Files

Path
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/Qwt.so
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/__init__.py
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/_iqt.so
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/anynumpy.py
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/grace.py
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/ipy_user_conf.py
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/iqt.py
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/pythonrc.py
/usr/lib/python2.7/dist-packages/PyQt4/Qwt5/qplt.py
/usr/share/doc/python-qwt5-qt4/README.Debian
/usr/share/doc/python-qwt5-qt4/changelog.Debian.gz
/usr/share/doc/python-qwt5-qt4/copyright
/usr/share/sip/PyQt4/Qwt5/QwtArrayDouble.sip
/usr/share/sip/PyQt4/Qwt5/QwtArrayInt.sip
/usr/share/sip/PyQt4/Qwt5/QwtArrayQwtDoubleInterval.sip
/usr/share/sip/PyQt4/Qwt5/QwtArrayQwtDoublePoint.sip
/usr/share/sip/PyQt4/Qwt5/QwtList.sip
/usr/share/sip/PyQt4/Qwt5/QwtMap.sip
/usr/share/sip/PyQt4/Qwt5/QwtModule.sip
/usr/share/sip/PyQt4/Qwt5/QwtStack.sip
/usr/share/sip/PyQt4/Qwt5/QwtTypes.sip
/usr/share/sip/PyQt4/Qwt5/qwt_abstract_scale.sip
/usr/share/sip/PyQt4/Qwt5/qwt_abstract_scale_draw.sip
/usr/share/sip/PyQt4/Qwt5/qwt_abstract_slider.sip
/usr/share/sip/PyQt4/Qwt5/qwt_analog_clock.sip
/usr/share/sip/PyQt4/Qwt5/qwt_arrow_button.sip
/usr/share/sip/PyQt4/Qwt5/qwt_clipper.sip
/usr/share/sip/PyQt4/Qwt5/qwt_color_map.sip
/usr/share/sip/PyQt4/Qwt5/qwt_compass.sip
/usr/share/sip/PyQt4/Qwt5/qwt_compass_rose.sip
/usr/share/sip/PyQt4/Qwt5/qwt_counter.sip
/usr/share/sip/PyQt4/Qwt5/qwt_curve_fitter.sip
/usr/share/sip/PyQt4/Qwt5/qwt_data.sip
/usr/share/sip/PyQt4/Qwt5/qwt_dial.sip
/usr/share/sip/PyQt4/Qwt5/qwt_dial_needle.sip
/usr/share/sip/PyQt4/Qwt5/qwt_double_interval.sip
/usr/share/sip/PyQt4/Qwt5/qwt_double_range.sip
/usr/share/sip/PyQt4/Qwt5/qwt_dyngrid_layout.sip
/usr/share/sip/PyQt4/Qwt5/qwt_event_pattern.sip
/usr/share/sip/PyQt4/Qwt5/qwt_interval_data.sip
/usr/share/sip/PyQt4/Qwt5/qwt_knob.sip
/usr/share/sip/PyQt4/Qwt5/qwt_layout_metrics.sip
/usr/share/sip/PyQt4/Qwt5/qwt_legend.sip
/usr/share/sip/PyQt4/Qwt5/qwt_legend_item.sip
/usr/share/sip/PyQt4/Qwt5/qwt_legend_itemmanager.sip
/usr/share/sip/PyQt4/Qwt5/qwt_magnifier.sip
/usr/share/sip/PyQt4/Qwt5/qwt_painter.sip
/usr/share/sip/PyQt4/Qwt5/qwt_panner.sip
/usr/share/sip/PyQt4/Qwt5/qwt_picker.sip
/usr/share/sip/PyQt4/Qwt5/qwt_picker_machine.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_canvas.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_curve.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_dict.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_grid.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_item.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_layout.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_magnifier.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_marker.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_panner.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_picker.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_printfilter.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_rasteritem.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_rescaler.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_scaleitem.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_spectrogram.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_svgitem.sip
/usr/share/sip/PyQt4/Qwt5/qwt_plot_zoomer.sip
/usr/share/sip/PyQt4/Qwt5/qwt_raster_data.sip
/usr/share/sip/PyQt4/Qwt5/qwt_rect.sip
/usr/share/sip/PyQt4/Qwt5/qwt_round_scale_draw.sip
/usr/share/sip/PyQt4/Qwt5/qwt_scale_div.sip
/usr/share/sip/PyQt4/Qwt5/qwt_scale_draw.sip
/usr/share/sip/PyQt4/Qwt5/qwt_scale_engine.sip
/usr/share/sip/PyQt4/Qwt5/qwt_scale_map.sip
/usr/share/sip/PyQt4/Qwt5/qwt_scale_widget.sip
/usr/share/sip/PyQt4/Qwt5/qwt_slider.sip
/usr/share/sip/PyQt4/Qwt5/qwt_spline.sip
/usr/share/sip/PyQt4/Qwt5/qwt_symbol.sip
/usr/share/sip/PyQt4/Qwt5/qwt_text.sip
/usr/share/sip/PyQt4/Qwt5/qwt_text_engine.sip
/usr/share/sip/PyQt4/Qwt5/qwt_text_label.sip
/usr/share/sip/PyQt4/Qwt5/qwt_thermo.sip
/usr/share/sip/PyQt4/Qwt5/qwt_wheel.sip

Changelog

2014-03-22 - Dmitry Shachnev <mitya57@ubuntu.com>
pyqwt5 (5.2.1~cvs20091107+dfsg-7build1) trusty; urgency=medium
* No-change rebuild against sip 4.15.5.
2014-01-03 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.1~cvs20091107+dfsg-7) unstable; urgency=low
[ Jakub Wilk ]
* Add epoch to python-numpy version in Build-Depends.
* Use canonical URIs for Vcs-* fields.
[ Gudjon I. Gudjonsson ]
* Rebuild fixes segmentation fault (Closes: #731437)
* Bump standards version to 3.9.5
2011-08-12 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.1~cvs20091107+dfsg-6) unstable; urgency=low
* Bump standards version to 3.9.2
* Add X-Python-Version
* Update python dependencies
* Change from dh_pysupport to dh_python2 (Closes: #634862)
* Change short description in python-qwt5-doc
* Comment out QaPolygon from BodePlot demo. All examples do work now.
2011-03-27 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.1~cvs20091107+dfsg-5) unstable; urgency=low
* Rebuilding package (Closes: #619500)
2011-02-26 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.1~cvs20091107+dfsg-4) unstable; urgency=low
* Remove qt3 support (Closes: #604373)
* Switch to dpkg-source 3.0 (quilt) format
* Bump standards to 3.9.1
* Patch 03_fix_QwtMemArray removed. Only used for qt3
* Rewrite other patches to quilt format
* Remove qt3examples from python-qwt5-doc
2010-02-06 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.1~cvs20091107+dfsg-3) unstable; urgency=low
* Upgrade to new sip version (Closes: #567228)
* Bump standards version to 3.8.4
* Change from sip4 to sip dependencies
* Change dephelper version to 7
* Add misc depends for python-qwt5-doc
2009-11-27 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.1~cvs20091107+dfsg-2) unstable; urgency=low
[ Jakub Wilk ]
* Fix watch file.
[ Gudjon I. Gudjonsson ]
* Add fix to rules files that adds binary dependency on 
libqwt5-qt{3,4} (Closes: #557170)
2009-11-07 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.1~cvs20091107+dfsg-1) unstable; urgency=low
* New CVS version
* Fixes problems in qt3 port
* Rename README.Source to README.source and upgrade content
* Add +dfsg to CVS get-orig-source target
* Commented out three extra lines from configure.py that the script
failed on.
2009-11-04 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.0+dfsg-2) unstable; urgency=low
* Change sip4 dependencies to >=4.9
* Add binary dependency on python-sip4 >=4.9
* Bump standards version to 3.8.3, no changes needed
2009-08-09 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
pyqwt5 (5.2.0+dfsg-1) unstable; urgency=low
* New upstream release
* Remove export QTDIR from rules file
* Fix watch file. Upstream path changed
* DEB_UPSTREAM_VERSION not hardcoded anymore

See Also

Package Description
python-qwt_0.5.5-1_all.deb Pure Python implementation of Qwt - Python 2
python-rabbyt_0.8.1-2_amd64.deb sprite library for Python with game development in mind
python-radicale_1.1.1-1_all.deb simple calendar and addressbook server - python2 module
python-radix_0.5-3_amd64.deb radix tree implementation for storage of IPv4 and IPv6 networks
python-rainbow_0.8.7-2_all.deb core rainbow shared module
python-rally_0.1.1-1_all.deb benchmark System for OpenStack - Python code
python-rarfile_2.7-2_all.deb RAR archive reader module for Python (Python 2)
python-rasterio_0.31.0-2build1_amd64.deb Python 2 API for using geospatial raster data with Numpy
python-rbtools_0.7.5-1_all.deb set of client tools to use with Review Board
python-rdflib-doc_4.1.2-3_all.deb Python library containing an RDF triple store and RDF parsers/serializers
python-rdflib-jsonld_0.3-1_all.deb rdflib extension adding JSON-LD parser and serializer in Python 2
python-rdflib-tools_4.1.2-3_amd64.deb Python library containing an RDF triple store and RDF parsers/serializers
python-rdflib_4.1.2-3_amd64.deb Python library containing an RDF triple store and RDF parsers/serializers
python-rdkit_201503-3_amd64.deb Collection of cheminformatics and machine-learning software
python-reclass_1.4.1-1_all.deb hierarchical inventory backend for configuration management systems
Advertisement
Advertisement